#include <iostream>
#include <windows.h>
using std::cout;
using std::endl;

typedef int (*API_Calc)(int param1, int param2);

int main(void)
{
	HMODULE hmod;
	hmod = LoadLibrary("Plugin.dll");

	API_Calc Calc;
	Calc = (API_Calc)GetProcAddress(hmod, "Calc");

	if (Calc != NULL) {
		cout << "Result: " << Calc(56, 7) << endl;
	} else {
		cout << "err" << endl;
	}

	FreeLibrary(hmod);
	return 0;
}
